Bug 107994 - ftp links don't work
ftp links don't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-25 16:58 EDT by Christoph Wickert
Modified: 2013-04-02 00:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 10:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2003-10-25 16:58:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030624

Description of problem:
Links to ftp:// don't open. 
No option in "Preferences" to handle FTP. 

Version-Release number of selected component (if applicable):
evolution 1.4.5

How reproducible:
Always

Steps to Reproduce:
1.try ftp://people.redhat.com/ in email or signatures
    

Actual Results:  Nothing.

Expected Results:  Open a window with you favorite ftp client.

Additional info:

Nothing found in evolution bugzilla @
http://bugzilla.ximian.com/buglist.cgi?product=Evolution&form_name=query&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO
Comment 1 Mike Chambers 2003-10-25 18:48:37 EDT
Submitted upstream to Ximian bugzilla...

http://bugzilla.ximian.com/show_bug.cgi?id=50125
Comment 2 Jeremy Katz 2003-10-26 01:57:14 EST
This is almost certainly something libgnome/gnome-vfs related 
Comment 3 Christoph Wickert 2003-11-18 10:26:51 EST
Works after I added a handler for ftp in Filetypes&Applications.
Same with https. Problems only for people, who do not have
gnome-control-center installed.
Comment 4 Mike Chambers 2003-12-26 09:04:48 EST
Yep, can confirm if you add the protocol to preferences/files and
programs that clicking on the link will work.  Maybe this needs to be
changed to mozilla to include this feature when compiled?
Comment 5 Julien Olivier 2004-09-06 04:23:26 EDT
Now that we can't edit File types & Applications anymore, it is
impossible to associate ftp:// protocol to anything if it's not
already done...
Comment 6 Alexander Larsson 2004-10-15 10:44:08 EDT
There shouldn't be a handler for ftp:///. That breaks file-manager
handling of ftp uris. (It'll launch the app when you click on a subdir).

However, it should just automatically work (open the link in
nautilus). And it does seem to work fine for me on a fresh install of
the latest version of rawhide.

Note You need to log in before you can comment on or make changes to this bug.